import { Misc } from "./misc.js";

/* -------------------------------------------- */
export class RdDItem {

  static isPontImpraticable(item) {
    return item.type == 'souffle' && item.name.toLowerCase().includes(' des ponts');
  }

  static isDoubleResistanceFleuve(item) {
    return item.type == 'souffle' && item.name.toLowerCase().includes('résistance du fleuve')
  }

  static isCaseInnondee(item) {
    return RdDItem.isCaseTMR(item) && item.data.specific == 'debordement';
  }

  static isCaseTMR(item) {
    return item.type == 'casetmr';
  }

  static isMauvaiseRencontreEnPerspective(item) {
    return (item.type == 'queue' || item.type == 'ombre' || item.type == 'souffle') && item.name.toLowerCase().includes('mauvaise rencontre')
  }
}